Bug 1124637 - evdev: Xen Virtual Pointer: failed to initialize pointer feedback class device.
Summary: evdev: Xen Virtual Pointer: failed to initialize pointer feedback class device.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-server
Version: 6.6
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: rc
: ---
Assignee: Adam Jackson
QA Contact: Desktop QE
URL:
Whiteboard: xen
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 02:24 UTC by Lingfei Kong
Modified: 2018-04-02 17:57 UTC (History)
11 users (show)

Fixed In Version: xorg-x11-server-1.15.0-18.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-14 04:56:30 UTC


Attachments (Terms of Use)
RHEL6.6_install_2.png (30.48 KB, image/png)
2014-07-30 02:26 UTC, Lingfei Kong
no flags Details
X.log (17.11 KB, text/plain)
2014-07-30 02:26 UTC, Lingfei Kong
no flags Details
anaconda.log (4.79 KB, text/plain)
2014-07-30 02:27 UTC, Lingfei Kong
no flags Details
RHEL6.6_install_1.png (115.60 KB, image/png)
2014-07-30 02:27 UTC, Lingfei Kong
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1376 normal SHIPPED_LIVE xcb-util, xorg-x11-drivers, and mesa bug fix and enhancement update 2014-10-14 01:11:03 UTC

Comment 1 Lingfei Kong 2014-07-30 02:26:08 UTC
Created attachment 922394 [details]
RHEL6.6_install_2.png

Comment 2 Lingfei Kong 2014-07-30 02:26:43 UTC
Created attachment 922395 [details]
X.log

Comment 3 Lingfei Kong 2014-07-30 02:27:01 UTC
Created attachment 922396 [details]
anaconda.log

Comment 4 Lingfei Kong 2014-07-30 02:27:44 UTC
Created attachment 922397 [details]
RHEL6.6_install_1.png

Comment 7 Vitaly Kuznetsov 2014-08-05 13:51:53 UTC
I can see xorg crashes in evdev:

[    49.296] (II) XINPUT: Adding extended input device "Xen Virtual Pointer" (type: TOUCHSCREEN, id 7)
[    49.296] (II) evdev: Xen Virtual Pointer: initialized for relative axes.
[    49.296] (EE) BUG: triggered 'if (dev->ptrfeed != ((void *)0))'
[    49.296] (EE) BUG: devices.c:1475 in InitPtrFeedbackClassDeviceStruct()
[    49.296] (EE) 
[    49.296] (EE) Backtrace:
[    49.297] (EE) 0: Xorg (xorg_backtrace+0x51) [0x5aa691]
[    49.297] (EE) 1: Xorg (InitPtrFeedbackClassDeviceStruct+0x5b) [0x42f70b]
[    49.297] (EE) 2: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7fa43fb44000+0x712b) [0x7fa43fb4b12b]
[    49.297] (EE) 3: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7fa43fb44000+0x79bb) [0x7fa43fb4b9bb]
[    49.297] (EE) 4: Xorg (ActivateDevice+0x46) [0x430936]
[    49.297] (EE) 5: Xorg (xf86NewInputDevice+0x1c3) [0x48a583]
[    49.297] (EE) 6: Xorg (0x400000+0xa1706) [0x4a1706]
[    49.297] (EE) 7: Xorg (0x400000+0xa1ca4) [0x4a1ca4]
[    49.297] (EE) 8: Xorg (0x400000+0xa1dc9) [0x4a1dc9]
[    49.297] (EE) 9: Xorg (0x400000+0xa0ad5) [0x4a0ad5]
[    49.297] (EE) 10: Xorg (0x400000+0x1a7a0a) [0x5a7a0a]
[    49.298] (EE) 11: Xorg (WaitForSomething+0x55b) [0x5a806b]
[    49.298] (EE) 12: Xorg (0x400000+0x38b12) [0x438b12]
[    49.298] (EE) 13: Xorg (0x400000+0x3c95a) [0x43c95a]
[    49.298] (EE) 14: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x7fa4450c4d1d]
[    49.298] (EE) 15: Xorg (0x400000+0x269c9) [0x4269c9]
[    49.298] (EE) 
[    49.298] (EE) evdev: Xen Virtual Pointer: failed to initialize pointer feedback class device.

I tried running same kernel (from 6.6) with 6.5 install tree (http://download.englab.brq.redhat.com/pub/rhel/released/RHEL-6/6.5/Server/x86_64/os/) and crash never happened. So I suppose something is broken in evdev.

Comment 10 Peter Hutterer 2014-08-08 01:53:46 UTC
Please install evemu on the guest and run evemu-describe against the various Xen virtual * input devices. Attach the output here please, that'll make it easier to reproduce locally.

rhel repos: http://people.redhat.com/~phuttere/rpms/evemu/
more info: http://www.freedesktop.org/wiki/Evemu

Comment 11 Lingfei Kong 2014-08-11 03:13:44 UTC
I install a rhel6.6 pv guest without graphical model, login guest and check eventX:
[root@dhcp-9-95 ~]# ls /dev/input/event*
/dev/input/event0  /dev/input/event1  /dev/input/event2

[root@dhcp-9-95 ~]# evemu-describe /dev/input/event0
# EVEMU 1.1
# Input device name: "Macintosh mouse button emulation"
# Input device ID: bus 0x17 vendor 0x01 product 0x01 version 0x100
# Supported events:
#   Event type 0 (EV_SYN)
#     Event code 0 (SYN_REPORT)
#     Event code 1 (SYN_CONFIG)
#     Event code 2 (SYN_MT_REPORT)
#   Event type 1 (EV_KEY)
#     Event code 272 (BTN_LEFT)
#     Event code 273 (BTN_RIGHT)
#     Event code 274 (BTN_MIDDLE)
#   Event type 2 (EV_REL)
#     Event code 0 (REL_X)
#     Event code 1 (REL_Y)
N: Macintosh mouse button emulation
I: 0017 0001 0001 0100
P: 00 00 00 00 00 00 00 00
B: 00 07 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 07 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 02 03 00 00 00 00 00 00 00
B: 03 00 00 00 00 00 00 00 00
B: 04 00 00 00 00 00 00 00 00
B: 05 00 00 00 00 00 00 00 00
B: 11 00 00 00 00 00 00 00 00
B: 12 00 00 00 00 00 00 00 00
B: 15 00 00 00 00 00 00 00 00
B: 15 00 00 00 00 00 00 00 00


[root@dhcp-9-95 ~]# evemu-describe /dev/input/event1
# EVEMU 1.1
# Input device name: "Xen Virtual Keyboard"
# Input device ID: bus 0x01 vendor 0x5853 product 0xffff version 0000
# Supported events:
#   Event type 0 (EV_SYN)
#     Event code 0 (SYN_REPORT)
#     Event code 1 (SYN_CONFIG)
#   Event type 1 (EV_KEY)
#     Event code 1 (KEY_ESC)
#     Event code 2 (KEY_1)
#     Event code 3 (KEY_2)
#     Event code 4 (KEY_3)
#     Event code 5 (KEY_4)
#     Event code 6 (KEY_5)
#     Event code 7 (KEY_6)
#     Event code 8 (KEY_7)
#     Event code 9 (KEY_8)
#     Event code 10 (KEY_9)
#     Event code 11 (KEY_0)
#     Event code 12 (KEY_MINUS)
#     Event code 13 (KEY_EQUAL)
#     Event code 14 (KEY_BACKSPACE)
#     Event code 15 (KEY_TAB)
#     Event code 16 (KEY_Q)
#     Event code 17 (KEY_W)
#     Event code 18 (KEY_E)
#     Event code 19 (KEY_R)
#     Event code 20 (KEY_T)
#     Event code 21 (KEY_Y)
#     Event code 22 (KEY_U)
#     Event code 23 (KEY_I)
#     Event code 24 (KEY_O)
#     Event code 25 (KEY_P)
#     Event code 26 (KEY_LEFTBRACE)
#     Event code 27 (KEY_RIGHTBRACE)
#     Event code 28 (KEY_ENTER)
#     Event code 29 (KEY_LEFTCTRL)
#     Event code 30 (KEY_A)
#     Event code 31 (KEY_S)
#     Event code 32 (KEY_D)
#     Event code 33 (KEY_F)
#     Event code 34 (KEY_G)
#     Event code 35 (KEY_H)
#     Event code 36 (KEY_J)
#     Event code 37 (KEY_K)
#     Event code 38 (KEY_L)
#     Event code 39 (KEY_SEMICOLON)
#     Event code 40 (KEY_APOSTROPHE)
#     Event code 41 (KEY_GRAVE)
#     Event code 42 (KEY_LEFTSHIFT)
#     Event code 43 (KEY_BACKSLASH)
#     Event code 44 (KEY_Z)
#     Event code 45 (KEY_X)
#     Event code 46 (KEY_C)
#     Event code 47 (KEY_V)
#     Event code 48 (KEY_B)
#     Event code 49 (KEY_N)
#     Event code 50 (KEY_M)
#     Event code 51 (KEY_COMMA)
#     Event code 52 (KEY_DOT)
#     Event code 53 (KEY_SLASH)
#     Event code 54 (KEY_RIGHTSHIFT)
#     Event code 55 (KEY_KPASTERISK)
#     Event code 56 (KEY_LEFTALT)
#     Event code 57 (KEY_SPACE)
#     Event code 58 (KEY_CAPSLOCK)
#     Event code 59 (KEY_F1)
#     Event code 60 (KEY_F2)
#     Event code 61 (KEY_F3)
#     Event code 62 (KEY_F4)
#     Event code 63 (KEY_F5)
#     Event code 64 (KEY_F6)
#     Event code 65 (KEY_F7)
#     Event code 66 (KEY_F8)
#     Event code 67 (KEY_F9)
#     Event code 68 (KEY_F10)
#     Event code 69 (KEY_NUMLOCK)
#     Event code 70 (KEY_SCROLLLOCK)
#     Event code 71 (KEY_KP7)
#     Event code 72 (KEY_KP8)
#     Event code 73 (KEY_KP9)
#     Event code 74 (KEY_KPMINUS)
#     Event code 75 (KEY_KP4)
#     Event code 76 (KEY_KP5)
#     Event code 77 (KEY_KP6)
#     Event code 78 (KEY_KPPLUS)
#     Event code 79 (KEY_KP1)
#     Event code 80 (KEY_KP2)
#     Event code 81 (KEY_KP3)
#     Event code 82 (KEY_KP0)
#     Event code 83 (KEY_KPDOT)
#     Event code 84 ((null))
#     Event code 85 (KEY_ZENKAKUHANKAKU)
#     Event code 86 (KEY_102ND)
#     Event code 87 (KEY_F11)
#     Event code 88 (KEY_F12)
#     Event code 89 (KEY_RO)
#     Event code 90 (KEY_KATAKANA)
#     Event code 91 (KEY_HIRAGANA)
#     Event code 92 (KEY_HENKAN)
#     Event code 93 (KEY_KATAKANAHIRAGANA)
#     Event code 94 (KEY_MUHENKAN)
#     Event code 95 (KEY_KPJPCOMMA)
#     Event code 96 (KEY_KPENTER)
#     Event code 97 (KEY_RIGHTCTRL)
#     Event code 98 (KEY_KPSLASH)
#     Event code 99 (KEY_SYSRQ)
#     Event code 100 (KEY_RIGHTALT)
#     Event code 101 (KEY_LINEFEED)
#     Event code 102 (KEY_HOME)
#     Event code 103 (KEY_UP)
#     Event code 104 (KEY_PAGEUP)
#     Event code 105 (KEY_LEFT)
#     Event code 106 (KEY_RIGHT)
#     Event code 107 (KEY_END)
#     Event code 108 (KEY_DOWN)
#     Event code 109 (KEY_PAGEDOWN)
#     Event code 110 (KEY_INSERT)
#     Event code 111 (KEY_DELETE)
#     Event code 112 (KEY_MACRO)
#     Event code 113 (KEY_MUTE)
#     Event code 114 (KEY_VOLUMEDOWN)
#     Event code 115 (KEY_VOLUMEUP)
#     Event code 116 (KEY_POWER)
#     Event code 117 (KEY_KPEQUAL)
#     Event code 118 (KEY_KPPLUSMINUS)
#     Event code 119 (KEY_PAUSE)
#     Event code 120 (KEY_SCALE)
#     Event code 121 (KEY_KPCOMMA)
#     Event code 122 (KEY_HANGEUL)
#     Event code 123 (KEY_HANJA)
#     Event code 124 (KEY_YEN)
#     Event code 125 (KEY_LEFTMETA)
#     Event code 126 (KEY_RIGHTMETA)
#     Event code 127 (KEY_COMPOSE)
#     Event code 128 (KEY_STOP)
#     Event code 129 (KEY_AGAIN)
#     Event code 130 (KEY_PROPS)
#     Event code 131 (KEY_UNDO)
#     Event code 132 (KEY_FRONT)
#     Event code 133 (KEY_COPY)
#     Event code 134 (KEY_OPEN)
#     Event code 135 (KEY_PASTE)
#     Event code 136 (KEY_FIND)
#     Event code 137 (KEY_CUT)
#     Event code 138 (KEY_HELP)
#     Event code 139 (KEY_MENU)
#     Event code 140 (KEY_CALC)
#     Event code 141 (KEY_SETUP)
#     Event code 142 (KEY_SLEEP)
#     Event code 143 (KEY_WAKEUP)
#     Event code 144 (KEY_FILE)
#     Event code 145 (KEY_SENDFILE)
#     Event code 146 (KEY_DELETEFILE)
#     Event code 147 (KEY_XFER)
#     Event code 148 (KEY_PROG1)
#     Event code 149 (KEY_PROG2)
#     Event code 150 (KEY_WWW)
#     Event code 151 (KEY_MSDOS)
#     Event code 152 (KEY_COFFEE)
#     Event code 153 (KEY_DIRECTION)
#     Event code 154 (KEY_CYCLEWINDOWS)
#     Event code 155 (KEY_MAIL)
#     Event code 156 (KEY_BOOKMARKS)
#     Event code 157 (KEY_COMPUTER)
#     Event code 158 (KEY_BACK)
#     Event code 159 (KEY_FORWARD)
#     Event code 160 (KEY_CLOSECD)
#     Event code 161 (KEY_EJECTCD)
#     Event code 162 (KEY_EJECTCLOSECD)
#     Event code 163 (KEY_NEXTSONG)
#     Event code 164 (KEY_PLAYPAUSE)
#     Event code 165 (KEY_PREVIOUSSONG)
#     Event code 166 (KEY_STOPCD)
#     Event code 167 (KEY_RECORD)
#     Event code 168 (KEY_REWIND)
#     Event code 169 (KEY_PHONE)
#     Event code 170 (KEY_ISO)
#     Event code 171 (KEY_CONFIG)
#     Event code 172 (KEY_HOMEPAGE)
#     Event code 173 (KEY_REFRESH)
#     Event code 174 (KEY_EXIT)
#     Event code 175 (KEY_MOVE)
#     Event code 176 (KEY_EDIT)
#     Event code 177 (KEY_SCROLLUP)
#     Event code 178 (KEY_SCROLLDOWN)
#     Event code 179 (KEY_KPLEFTPAREN)
#     Event code 180 (KEY_KPRIGHTPAREN)
#     Event code 181 (KEY_NEW)
#     Event code 182 (KEY_REDO)
#     Event code 183 (KEY_F13)
#     Event code 184 (KEY_F14)
#     Event code 185 (KEY_F15)
#     Event code 186 (KEY_F16)
#     Event code 187 (KEY_F17)
#     Event code 188 (KEY_F18)
#     Event code 189 (KEY_F19)
#     Event code 190 (KEY_F20)
#     Event code 191 (KEY_F21)
#     Event code 192 (KEY_F22)
#     Event code 193 (KEY_F23)
#     Event code 194 (KEY_F24)
#     Event code 195 ((null))
#     Event code 196 ((null))
#     Event code 197 ((null))
#     Event code 198 ((null))
#     Event code 199 ((null))
#     Event code 200 (KEY_PLAYCD)
#     Event code 201 (KEY_PAUSECD)
#     Event code 202 (KEY_PROG3)
#     Event code 203 (KEY_PROG4)
#     Event code 204 (KEY_DASHBOARD)
#     Event code 205 (KEY_SUSPEND)
#     Event code 206 (KEY_CLOSE)
#     Event code 207 (KEY_PLAY)
#     Event code 208 (KEY_FASTFORWARD)
#     Event code 209 (KEY_BASSBOOST)
#     Event code 210 (KEY_PRINT)
#     Event code 211 (KEY_HP)
#     Event code 212 (KEY_CAMERA)
#     Event code 213 (KEY_SOUND)
#     Event code 214 (KEY_QUESTION)
#     Event code 215 (KEY_EMAIL)
#     Event code 216 (KEY_CHAT)
#     Event code 217 (KEY_SEARCH)
#     Event code 218 (KEY_CONNECT)
#     Event code 219 (KEY_FINANCE)
#     Event code 220 (KEY_SPORT)
#     Event code 221 (KEY_SHOP)
#     Event code 222 (KEY_ALTERASE)
#     Event code 223 (KEY_CANCEL)
#     Event code 224 (KEY_BRIGHTNESSDOWN)
#     Event code 225 (KEY_BRIGHTNESSUP)
#     Event code 226 (KEY_MEDIA)
#     Event code 227 (KEY_SWITCHVIDEOMODE)
#     Event code 228 (KEY_KBDILLUMTOGGLE)
#     Event code 229 (KEY_KBDILLUMDOWN)
#     Event code 230 (KEY_KBDILLUMUP)
#     Event code 231 (KEY_SEND)
#     Event code 232 (KEY_REPLY)
#     Event code 233 (KEY_FORWARDMAIL)
#     Event code 234 (KEY_SAVE)
#     Event code 235 (KEY_DOCUMENTS)
#     Event code 236 (KEY_BATTERY)
#     Event code 237 (KEY_BLUETOOTH)
#     Event code 238 (KEY_WLAN)
#     Event code 239 (KEY_UWB)
#     Event code 352 (KEY_OK)
#     Event code 353 (KEY_SELECT)
#     Event code 354 (KEY_GOTO)
#     Event code 355 (KEY_CLEAR)
#     Event code 356 (KEY_POWER2)
#     Event code 357 (KEY_OPTION)
#     Event code 358 (KEY_INFO)
#     Event code 359 (KEY_TIME)
#     Event code 360 (KEY_VENDOR)
#     Event code 361 (KEY_ARCHIVE)
#     Event code 362 (KEY_PROGRAM)
#     Event code 363 (KEY_CHANNEL)
#     Event code 364 (KEY_FAVORITES)
#     Event code 365 (KEY_EPG)
#     Event code 366 (KEY_PVR)
#     Event code 367 (KEY_MHP)
#     Event code 368 (KEY_LANGUAGE)
#     Event code 369 (KEY_TITLE)
#     Event code 370 (KEY_SUBTITLE)
#     Event code 371 (KEY_ANGLE)
#     Event code 372 (KEY_ZOOM)
#     Event code 373 (KEY_MODE)
#     Event code 374 (KEY_KEYBOARD)
#     Event code 375 (KEY_SCREEN)
#     Event code 376 (KEY_PC)
#     Event code 377 (KEY_TV)
#     Event code 378 (KEY_TV2)
#     Event code 379 (KEY_VCR)
#     Event code 380 (KEY_VCR2)
#     Event code 381 (KEY_SAT)
#     Event code 382 (KEY_SAT2)
#     Event code 383 (KEY_CD)
#     Event code 384 (KEY_TAPE)
#     Event code 385 (KEY_RADIO)
#     Event code 386 (KEY_TUNER)
#     Event code 387 (KEY_PLAYER)
#     Event code 388 (KEY_TEXT)
#     Event code 389 (KEY_DVD)
#     Event code 390 (KEY_AUX)
#     Event code 391 (KEY_MP3)
#     Event code 392 (KEY_AUDIO)
#     Event code 393 (KEY_VIDEO)
#     Event code 394 (KEY_DIRECTORY)
#     Event code 395 (KEY_LIST)
#     Event code 396 (KEY_MEMO)
#     Event code 397 (KEY_CALENDAR)
#     Event code 398 (KEY_RED)
#     Event code 399 (KEY_GREEN)
#     Event code 400 (KEY_YELLOW)
#     Event code 401 (KEY_BLUE)
#     Event code 402 (KEY_CHANNELUP)
#     Event code 403 (KEY_CHANNELDOWN)
#     Event code 404 (KEY_FIRST)
#     Event code 405 (KEY_LAST)
#     Event code 406 (KEY_AB)
#     Event code 407 (KEY_NEXT)
#     Event code 408 (KEY_RESTART)
#     Event code 409 (KEY_SLOW)
#     Event code 410 (KEY_SHUFFLE)
#     Event code 411 (KEY_BREAK)
#     Event code 412 (KEY_PREVIOUS)
#     Event code 413 (KEY_DIGITS)
#     Event code 414 (KEY_TEEN)
#     Event code 415 (KEY_TWEN)
#     Event code 416 (KEY_VIDEOPHONE)
#     Event code 417 (KEY_GAMES)
#     Event code 418 (KEY_ZOOMIN)
#     Event code 419 (KEY_ZOOMOUT)
#     Event code 420 (KEY_ZOOMRESET)
#     Event code 421 (KEY_WORDPROCESSOR)
#     Event code 422 (KEY_EDITOR)
#     Event code 423 (KEY_SPREADSHEET)
#     Event code 424 (KEY_GRAPHICSEDITOR)
#     Event code 425 (KEY_PRESENTATION)
#     Event code 426 (KEY_DATABASE)
#     Event code 427 (KEY_NEWS)
#     Event code 428 (KEY_VOICEMAIL)
#     Event code 429 (KEY_ADDRESSBOOK)
#     Event code 430 (KEY_MESSENGER)
#     Event code 431 (KEY_DISPLAYTOGGLE)
#     Event code 432 (KEY_SPELLCHECK)
#     Event code 433 (KEY_LOGOFF)
#     Event code 434 (KEY_DOLLAR)
#     Event code 435 (KEY_EURO)
#     Event code 436 (KEY_FRAMEBACK)
#     Event code 437 (KEY_FRAMEFORWARD)
#     Event code 438 (KEY_CONTEXT_MENU)
#     Event code 439 (KEY_MEDIA_REPEAT)
#     Event code 440 (KEY_10CHANNELSUP)
#     Event code 441 (KEY_10CHANNELSDOWN)
#     Event code 442 ((null))
#     Event code 443 ((null))
#     Event code 444 ((null))
#     Event code 445 ((null))
#     Event code 446 ((null))
#     Event code 447 ((null))
#     Event code 448 (KEY_DEL_EOL)
#     Event code 449 (KEY_DEL_EOS)
#     Event code 450 (KEY_INS_LINE)
#     Event code 451 (KEY_DEL_LINE)
#     Event code 452 ((null))
#     Event code 453 ((null))
#     Event code 454 ((null))
#     Event code 455 ((null))
#     Event code 456 ((null))
#     Event code 457 ((null))
#     Event code 458 ((null))
#     Event code 459 ((null))
#     Event code 460 ((null))
#     Event code 461 ((null))
#     Event code 462 ((null))
#     Event code 463 ((null))
#     Event code 464 (KEY_FN)
#     Event code 465 (KEY_FN_ESC)
#     Event code 466 (KEY_FN_F1)
#     Event code 467 (KEY_FN_F2)
#     Event code 468 (KEY_FN_F3)
#     Event code 469 (KEY_FN_F4)
#     Event code 470 (KEY_FN_F5)
#     Event code 471 (KEY_FN_F6)
#     Event code 472 (KEY_FN_F7)
#     Event code 473 (KEY_FN_F8)
#     Event code 474 (KEY_FN_F9)
#     Event code 475 (KEY_FN_F10)
#     Event code 476 (KEY_FN_F11)
#     Event code 477 (KEY_FN_F12)
#     Event code 478 (KEY_FN_1)
#     Event code 479 (KEY_FN_2)
#     Event code 480 (KEY_FN_D)
#     Event code 481 (KEY_FN_E)
#     Event code 482 (KEY_FN_F)
#     Event code 483 (KEY_FN_S)
#     Event code 484 (KEY_FN_B)
#     Event code 485 ((null))
#     Event code 486 ((null))
#     Event code 487 ((null))
#     Event code 488 ((null))
#     Event code 489 ((null))
#     Event code 490 ((null))
#     Event code 491 ((null))
#     Event code 492 ((null))
#     Event code 493 ((null))
#     Event code 494 ((null))
#     Event code 495 ((null))
#     Event code 496 ((null))
#     Event code 497 (KEY_BRL_DOT1)
#     Event code 498 (KEY_BRL_DOT2)
#     Event code 499 (KEY_BRL_DOT3)
#     Event code 500 (KEY_BRL_DOT4)
#     Event code 501 (KEY_BRL_DOT5)
#     Event code 502 (KEY_BRL_DOT6)
#     Event code 503 (KEY_BRL_DOT7)
#     Event code 504 (KEY_BRL_DOT8)
#     Event code 505 (KEY_BRL_DOT9)
#     Event code 506 (KEY_BRL_DOT10)
#     Event code 507 ((null))
#     Event code 508 ((null))
#     Event code 509 ((null))
#     Event code 510 ((null))
#     Event code 511 ((null))
#     Event code 512 (KEY_NUMERIC_0)
#     Event code 513 (KEY_NUMERIC_1)
#     Event code 514 (KEY_NUMERIC_2)
#     Event code 515 (KEY_NUMERIC_3)
#     Event code 516 (KEY_NUMERIC_4)
#     Event code 517 (KEY_NUMERIC_5)
#     Event code 518 (KEY_NUMERIC_6)
#     Event code 519 (KEY_NUMERIC_7)
#     Event code 520 (KEY_NUMERIC_8)
#     Event code 521 (KEY_NUMERIC_9)
#     Event code 522 (KEY_NUMERIC_STAR)
#     Event code 523 (KEY_NUMERIC_POUND)
#     Event code 524 (KEY_RFKILL)
#     Event code 525 ((null))
#     Event code 526 ((null))
#     Event code 527 ((null))
#     Event code 528 ((null))
#     Event code 529 ((null))
#     Event code 530 ((null))
#     Event code 531 ((null))
#     Event code 532 ((null))
#     Event code 533 ((null))
#     Event code 534 ((null))
#     Event code 535 ((null))
#     Event code 536 ((null))
#     Event code 537 ((null))
#     Event code 538 ((null))
#     Event code 539 ((null))
#     Event code 540 ((null))
#     Event code 541 ((null))
#     Event code 542 ((null))
#     Event code 543 ((null))
#     Event code 544 ((null))
#     Event code 545 ((null))
#     Event code 546 ((null))
#     Event code 547 ((null))
#     Event code 548 ((null))
#     Event code 549 ((null))
#     Event code 550 ((null))
#     Event code 551 ((null))
#     Event code 552 ((null))
#     Event code 553 ((null))
#     Event code 554 ((null))
#     Event code 555 ((null))
#     Event code 556 ((null))
#     Event code 557 ((null))
#     Event code 558 ((null))
#     Event code 559 ((null))
#     Event code 560 ((null))
#     Event code 561 ((null))
#     Event code 562 ((null))
#     Event code 563 ((null))
#     Event code 564 ((null))
#     Event code 565 ((null))
#     Event code 566 ((null))
#     Event code 567 ((null))
#     Event code 568 ((null))
#     Event code 569 ((null))
#     Event code 570 ((null))
#     Event code 571 ((null))
#     Event code 572 ((null))
#     Event code 573 ((null))
#     Event code 574 ((null))
#     Event code 575 ((null))
#     Event code 576 ((null))
#     Event code 577 ((null))
#     Event code 578 ((null))
#     Event code 579 ((null))
#     Event code 580 ((null))
#     Event code 581 ((null))
#     Event code 582 ((null))
#     Event code 583 ((null))
#     Event code 584 ((null))
#     Event code 585 ((null))
#     Event code 586 ((null))
#     Event code 587 ((null))
#     Event code 588 ((null))
#     Event code 589 ((null))
#     Event code 590 ((null))
#     Event code 591 ((null))
#     Event code 592 ((null))
#     Event code 593 ((null))
#     Event code 594 ((null))
#     Event code 595 ((null))
#     Event code 596 ((null))
#     Event code 597 ((null))
#     Event code 598 ((null))
#     Event code 599 ((null))
#     Event code 600 ((null))
#     Event code 601 ((null))
#     Event code 602 ((null))
#     Event code 603 ((null))
#     Event code 604 ((null))
#     Event code 605 ((null))
#     Event code 606 ((null))
#     Event code 607 ((null))
#     Event code 608 ((null))
#     Event code 609 ((null))
#     Event code 610 ((null))
#     Event code 611 ((null))
#     Event code 612 ((null))
#     Event code 613 ((null))
#     Event code 614 ((null))
#     Event code 615 ((null))
#     Event code 616 ((null))
#     Event code 617 ((null))
#     Event code 618 ((null))
#     Event code 619 ((null))
#     Event code 620 ((null))
#     Event code 621 ((null))
#     Event code 622 ((null))
#     Event code 623 ((null))
#     Event code 624 ((null))
#     Event code 625 ((null))
#     Event code 626 ((null))
#     Event code 627 ((null))
#     Event code 628 ((null))
#     Event code 629 ((null))
#     Event code 630 ((null))
#     Event code 631 ((null))
#     Event code 632 ((null))
#     Event code 633 ((null))
#     Event code 634 ((null))
#     Event code 635 ((null))
#     Event code 636 ((null))
#     Event code 637 ((null))
#     Event code 638 ((null))
#     Event code 639 ((null))
#     Event code 640 ((null))
#     Event code 641 ((null))
#     Event code 642 ((null))
#     Event code 643 ((null))
#     Event code 644 ((null))
#     Event code 645 ((null))
#     Event code 646 ((null))
#     Event code 647 ((null))
#     Event code 648 ((null))
#     Event code 649 ((null))
#     Event code 650 ((null))
#     Event code 651 ((null))
#     Event code 652 ((null))
#     Event code 653 ((null))
#     Event code 654 ((null))
#     Event code 655 ((null))
#     Event code 656 ((null))
#     Event code 657 ((null))
#     Event code 658 ((null))
#     Event code 659 ((null))
#     Event code 660 ((null))
#     Event code 661 ((null))
#     Event code 662 ((null))
#     Event code 663 ((null))
#     Event code 664 ((null))
#     Event code 665 ((null))
#     Event code 666 ((null))
#     Event code 667 ((null))
#     Event code 668 ((null))
#     Event code 669 ((null))
#     Event code 670 ((null))
#     Event code 671 ((null))
#     Event code 672 ((null))
#     Event code 673 ((null))
#     Event code 674 ((null))
#     Event code 675 ((null))
#     Event code 676 ((null))
#     Event code 677 ((null))
#     Event code 678 ((null))
#     Event code 679 ((null))
#     Event code 680 ((null))
#     Event code 681 ((null))
#     Event code 682 ((null))
#     Event code 683 ((null))
#     Event code 684 ((null))
#     Event code 685 ((null))
#     Event code 686 ((null))
#     Event code 687 ((null))
#     Event code 688 ((null))
#     Event code 689 ((null))
#     Event code 690 ((null))
#     Event code 691 ((null))
#     Event code 692 ((null))
#     Event code 693 ((null))
#     Event code 694 ((null))
#     Event code 695 ((null))
#     Event code 696 ((null))
#     Event code 697 ((null))
#     Event code 698 ((null))
#     Event code 699 ((null))
#     Event code 700 ((null))
#     Event code 701 ((null))
#     Event code 702 ((null))
#     Event code 703 ((null))
#     Event code 704 ((null))
#     Event code 705 ((null))
#     Event code 706 ((null))
#     Event code 707 ((null))
#     Event code 708 ((null))
#     Event code 709 ((null))
#     Event code 710 ((null))
#     Event code 711 ((null))
#     Event code 712 ((null))
#     Event code 713 ((null))
#     Event code 714 ((null))
#     Event code 715 ((null))
#     Event code 716 ((null))
#     Event code 717 ((null))
#     Event code 718 ((null))
#     Event code 719 ((null))
#     Event code 720 ((null))
#     Event code 721 ((null))
#     Event code 722 ((null))
#     Event code 723 ((null))
#     Event code 724 ((null))
#     Event code 725 ((null))
#     Event code 726 ((null))
#     Event code 727 ((null))
#     Event code 728 ((null))
#     Event code 729 ((null))
#     Event code 730 ((null))
#     Event code 731 ((null))
#     Event code 732 ((null))
#     Event code 733 ((null))
#     Event code 734 ((null))
#     Event code 735 ((null))
#     Event code 736 ((null))
#     Event code 737 ((null))
#     Event code 738 ((null))
#     Event code 739 ((null))
#     Event code 740 ((null))
#     Event code 741 ((null))
#     Event code 742 ((null))
#     Event code 743 ((null))
#     Event code 744 ((null))
#     Event code 745 ((null))
#     Event code 746 ((null))
#     Event code 747 ((null))
#     Event code 748 ((null))
#     Event code 749 ((null))
#     Event code 750 ((null))
#     Event code 751 ((null))
#     Event code 752 ((null))
#     Event code 753 ((null))
#     Event code 754 ((null))
#     Event code 755 ((null))
#     Event code 756 ((null))
#     Event code 757 ((null))
#     Event code 758 ((null))
#     Event code 759 ((null))
#     Event code 760 ((null))
#     Event code 761 ((null))
#     Event code 762 ((null))
#     Event code 763 ((null))
#     Event code 764 ((null))
#     Event code 765 ((null))
#     Event code 766 ((null))
N: Xen Virtual Keyboard
I: 0001 5853 ffff 0000
P: 00 00 00 00 00 00 00 00
B: 00 03 00 00 00 00 00 00 00
B: 01 fe ff ff ff ff ff ff ff
B: 01 ff ff ff ff ff ff ff ff
B: 01 ff ff ff ff ff ff ff ff
B: 01 ff ff ff ff ff ff 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 ff ff ff ff
B: 01 ff ff ff ff ff ff ff ff
B: 01 ff ff ff ff ff ff ff ff
B: 01 ff ff ff ff ff ff ff ff
B: 01 ff ff ff ff ff ff ff ff
B: 01 ff ff ff ff ff ff ff ff
B: 01 ff ff ff ff ff ff ff 7f
B: 02 00 00 00 00 00 00 00 00
B: 03 00 00 00 00 00 00 00 00
B: 04 00 00 00 00 00 00 00 00
B: 05 00 00 00 00 00 00 00 00
B: 11 00 00 00 00 00 00 00 00
B: 12 00 00 00 00 00 00 00 00
B: 15 00 00 00 00 00 00 00 00
B: 15 00 00 00 00 00 00 00 00


[root@dhcp-9-95 ~]# evemu-describe /dev/input/event2
# EVEMU 1.1
# Input device name: "Xen Virtual Pointer"
# Input device ID: bus 0x01 vendor 0x5853 product 0xfffe version 0000
# Supported events:
#   Event type 0 (EV_SYN)
#     Event code 0 (SYN_REPORT)
#     Event code 1 (SYN_CONFIG)
#     Event code 2 (SYN_MT_REPORT)
#     Event code 3 ((null))
#   Event type 1 (EV_KEY)
#     Event code 272 (BTN_LEFT)
#     Event code 273 (BTN_RIGHT)
#     Event code 274 (BTN_MIDDLE)
#     Event code 275 (BTN_SIDE)
#     Event code 276 (BTN_EXTRA)
#     Event code 277 (BTN_FORWARD)
#     Event code 278 (BTN_BACK)
#     Event code 279 (BTN_TASK)
#   Event type 2 (EV_REL)
#     Event code 8 (REL_WHEEL)
#   Event type 3 (EV_ABS)
#     Event code 0 (ABS_X)
#       Value    215
#       Min        0
#       Max      800
#       Fuzz       0
#       Flat       0
#       Resolution 0
#     Event code 1 (ABS_Y)
#       Value    180
#       Min        0
#       Max      600
#       Fuzz       0
#       Flat       0
#       Resolution 0
N: Xen Virtual Pointer
I: 0001 5853 fffe 0000
P: 00 00 00 00 00 00 00 00
B: 00 0f 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 ff 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 02 00 01 00 00 00 00 00 00
B: 03 03 00 00 00 00 00 00 00
B: 04 00 00 00 00 00 00 00 00
B: 05 00 00 00 00 00 00 00 00
B: 11 00 00 00 00 00 00 00 00
B: 12 00 00 00 00 00 00 00 00
B: 15 00 00 00 00 00 00 00 00
B: 15 00 00 00 00 00 00 00 00
A: 00 0 800 0 0
A: 01 0 600 0 0

Comment 12 Peter Hutterer 2014-08-11 06:19:26 UTC
verified, there are two bugs. One is the warning in the server which has been reverted upstream since. See
http://cgit.freedesktop.org/xorg/xserver/commit/?id=6a848122def0f2a439e21c50f22814db11760132
That warning is harmless though

The crash is caused by some logic change in evdev that switched it from using the absolute axes for the Xen device to now only initialising for relative axes. That causes a crash when an absolute event is read from the kernel.

Comment 13 Peter Hutterer 2014-08-11 06:24:56 UTC
Correction, the warning is actually what causes the bug since it stops the axis from initializing.

Comment 14 Peter Hutterer 2014-08-12 06:44:13 UTC
MODIFIED

xorg-x11-server-1.15.0-18.el6 is available in brew

Comment 30 errata-xmlrpc 2014-10-14 04:56:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1376.html


Note You need to log in before you can comment on or make changes to this bug.